brauche hilfe - yast, rpm, apt-get funktionieren nicht mehr......

FreeBSD, Gentoo, openSUSE, CentOS, Ubuntu, Debian
_cuddles_
Posts: 9
Joined: 2006-11-17 14:05

brauche hilfe - yast, rpm, apt-get funktionieren nicht mehr......

Post by _cuddles_ » 2006-11-17 14:09

hey leute,
brauch dringend mal eure hilfe.
zunächst mal zum hintergrund wie es überhaupt zu folgenden problemen kam:
ein "freund" von mir hatte root-zugang zum server, da er ihn die ganze zeit administriert hat.
nach nem streit hat er neulich so einige systemdateien aufm server gelöscht (was zwar kindisch is, aber egal).

nunja.... der server lies sich nichtmehr booten. weder im rescue- noch im normalen modus.
nach nem anruf bei 1&1 funktionierte wenigstens der rescue-modus wieder, sodass ich - nach langem tüfteln - den server wieder soweit zum laufen gebracht hab.
d.h.: apache2, mysqld, postfix, etc laufen soweit...

jedoch:

yast geht nicht mehr:
xxx:/# yast
/sbin/yast: line 18: /usr/lib/YaST2/bin/yast2-funcs: No such file or directory
/sbin/yast: line 115: set_lang_from_sysconfig: command not found
/sbin/yast: line 119: check_ncurses: command not found
You need to install yast2-ncurses to use the YaST2 text mode interface
rpm ebenfalls nicht:
xxx:/# rpm
rpm: error while loading shared libraries: librpmbuild-4.1.so: cannot open shared object file: No such file or directory
und apt-get ebenso wenig:
xxx:/# apt-get
bash: apt-get: command not found
außerdem erscheint in php-dokumenten welche auf mysql zugreifen seit heute (gestern gings komischerweise noch):
Fatal error: Call to undefined function: mysql_connect()
kann mir jemand helfen wie ich das alles wieder zum laufen bekomm OHNE reinitialisierung?


danke schonmal

kev

_cuddles_
Posts: 9
Joined: 2006-11-17 14:05

Re: brauche hilfe - yast, rpm, apt-get funktionieren nicht mehr......

Post by _cuddles_ » 2006-11-17 14:21

wie gesagt - reinitialisieren will ich vermeiden...

hab schon nach nem "ei" gesucht... aber nix außergewöhnliches entdeckt... kein rootkit o.ä.

_cuddles_
Posts: 9
Joined: 2006-11-17 14:05

Re: brauche hilfe - yast, rpm, apt-get funktionieren nicht mehr......

Post by _cuddles_ » 2006-11-17 15:16

vollbackup hab ich net... nur die daten...

dann wird wohl nix anderes übrig bleiben als reinitialisieren... :-/

ok... dann andere frage: hab momentan confixx drauf, würd das auch gern beibehalten... wenn ich den server reinitialisieren lass gibts jedoch nur noch plesk... ich weiss das es auf dem update server von 1&1 noch confixx-dateien gibt.... kann ich das dann ohne probleme wieder einspielen?

kann ich mit confixx auch qmail / courier verwalten? oder muss ich dann wieder postfix installieren?

lineman
Posts: 59
Joined: 2002-06-06 17:31
Location: Mülheim an der Ruhr

Re: brauche hilfe - yast, rpm, apt-get funktionieren nicht mehr......

Post by lineman » 2006-11-17 16:52

zur not kannst du die auch anrufen und die spielen dir dann ein neues system mit confixx drauf... soweit ich weiss.

_cuddles_
Posts: 9
Joined: 2006-11-17 14:05

Re: brauche hilfe - yast, rpm, apt-get funktionieren nicht mehr......

Post by _cuddles_ » 2006-11-17 16:59

das letzte image das die haben is suse 9.1 mit confixx... und das geben die nimmer raus da 's ja keine updates mehr für 9.1 gibt...

egal.... lass gerade 9.3 installieren und confixx kann ich dann selbst drauf spielen... ich hoff das ich alle daten gesichert hab die ich brauch :-D